import { Middleware } from 'redux';
declare global {
    interface Window {
        __REDUX_DEVTOOLS_EXTENSION__: Function;
    }
}
export declare function injectAsyncStore(store: any, asyncReducers: any, sagas: any): void;
export declare function rejectAsyncStore(store: any, asyncReducers?: null): void;
export default function initStore(initReducer: {} | undefined, reduxMiddlewares: Array<Middleware<any, any, any>>): {
    asyncReducers: {};
    asyncSagas: {};
    sagaMiddleware: import("redux-saga").SagaMiddleware<object>;
    dispatch: import("redux").Dispatch<import("redux").AnyAction>;
    getState(): {
        root: {
            'fay-react-redux-loadable': string;
        };
    };
    subscribe(listener: () => void): import("redux").Unsubscribe;
    replaceReducer(nextReducer: import("redux").Reducer<{
        root: {
            'fay-react-redux-loadable': string;
        };
    }, import("redux").AnyAction>): void;
    [Symbol.observable](): import("redux").Observable<{
        root: {
            'fay-react-redux-loadable': string;
        };
    }>;
};
